Data Collection Endpoints - Create

Creates or updates a data collection endpoint.

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Insights/dataCollectionEndpoints/{dataCollectionEndpointName}?api-version=2024-03-11

URI Parameters

Name In Required Type Description
dataCollectionEndpointName
path True

string

The name of the data collection endpoint. The name is case insensitive.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string

minLength: 1

The ID of the target subscription.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Required Type Description
location True

string

The geo-location where the resource lives

identity

DataCollectionEndpointResourceIdentity

Managed service identity of the resource.

kind

KnownDataCollectionEndpointResourceKind

The kind of the resource.

properties.configurationAccess

DataCollectionEndpointConfigurationAccess

The endpoint used by clients to access their configuration.

properties.description

string

Description of the data collection endpoint.

properties.immutableId

string

The immutable ID of this data collection endpoint resource. This property is READ-ONLY.

properties.logsIngestion

DataCollectionEndpointLogsIngestion

The endpoint used by clients to ingest logs.

properties.metricsIngestion

DataCollectionEndpointMetricsIngestion

The endpoint used by clients to ingest metrics.

properties.networkAcls

DataCollectionEndpointNetworkAcls

Network access control rules for the endpoints.

sku

DataCollectionEndpointResourceSku

The SKU of the resource.

tags

object

Resource tags.

Responses

Name Type Description
200 OK

DataCollectionEndpointResource

Resource 'DataCollectionEndpointResource' update operation succeeded

201 Created

DataCollectionEndpointResource

Resource 'DataCollectionEndpointResource' create operation succeeded

Other Status Codes

ErrorResponseCommonV2

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Create a data collection endpoint
Update a data collection endpoint

Create a data collection endpoint

Sample request

PUT https://management.azure.com/subscriptions/703362b3-f278-4e4b-9179-c76eaf41ffc2/resourceGroups/myResourceGroup/providers/Microsoft.Insights/dataCollectionEndpoints/myDataCollectionEndpoint?api-version=2024-03-11

{
  "location": "eastus",
  "properties": {
    "networkAcls": {
      "publicNetworkAccess": "Enabled"
    }
  }
}

Sample response

{
  "name": "myDataCollectionEndpoint",
  "type": "Microsoft.Insights/dataCollectionEndpoints",
  "etag": "0000ae31-0000-0100-0000-65fd441c0000",
  "id": "/subscriptions/703362b3-f278-4e4b-9179-c76eaf41ffc2/resourceGroups/myResourceGroup/providers/Microsoft.Insights/dataCollectionEndpoints/myDataCollectionEndpoint",
  "location": "eastus",
  "properties": {
    "configurationAccess": {
      "endpoint": "https://mydatacollectionendpoint-71ib.eastus-1.handler.control.monitor.azure.com"
    },
    "immutableId": "dce-cd85a330eb664aa3bc7883cc394b0000",
    "logsIngestion": {
      "endpoint": "https://mydatacollectionendpoint-71ib.eastus-1.ingest.monitor.azure.com"
    },
    "metricsIngestion": {
      "endpoint": "https://mydatacollectionendpoint-71ib.eastus-1.metrics.ingest.monitor.azure.com"
    },
    "networkAcls": {
      "publicNetworkAccess": "Enabled"
    },
    "provisioningState": "Succeeded"
  },
  "systemData": {
    "createdAt": "2024-03-22T08:40:59.2431682Z",
    "createdBy": "user1",
    "createdByType": "User",
    "lastModifiedAt": "2024-03-22T08:40:59.2431682Z",
    "lastModifiedBy": "user1",
    "lastModifiedByType": "User"
  }
}
{
  "name": "myDataCollectionEndpoint",
  "type": "Microsoft.Insights/dataCollectionEndpoints",
  "etag": "0000ae31-0000-0100-0000-65fd441c0000",
  "id": "/subscriptions/703362b3-f278-4e4b-9179-c76eaf41ffc2/resourceGroups/myResourceGroup/providers/Microsoft.Insights/dataCollectionEndpoints/myDataCollectionEndpoint",
  "location": "eastus",
  "properties": {
    "configurationAccess": {
      "endpoint": "https://mydatacollectionendpoint-71ib.eastus-1.handler.control.monitor.azure.com"
    },
    "immutableId": "dce-cd85a330eb664aa3bc7883cc394b0000",
    "logsIngestion": {
      "endpoint": "https://mydatacollectionendpoint-71ib.eastus-1.ingest.monitor.azure.com"
    },
    "metricsIngestion": {
      "endpoint": "https://mydatacollectionendpoint-71ib.eastus-1.metrics.ingest.monitor.azure.com"
    },
    "networkAcls": {
      "publicNetworkAccess": "Enabled"
    },
    "provisioningState": "Succeeded"
  },
  "systemData": {
    "createdAt": "2024-03-22T08:40:59.2431682Z",
    "createdBy": "user1",
    "createdByType": "User",
    "lastModifiedAt": "2024-03-22T08:40:59.2431682Z",
    "lastModifiedBy": "user1",
    "lastModifiedByType": "User"
  }
}

Update a data collection endpoint

Sample request

PUT https://management.azure.com/subscriptions/703362b3-f278-4e4b-9179-c76eaf41ffc2/resourceGroups/myResourceGroup/providers/Microsoft.Insights/dataCollectionEndpoints/myDataCollectionEndpoint?api-version=2024-03-11

{
  "location": "eastus",
  "properties": {},
  "tags": {
    "tag1": "A",
    "tag2": "B",
    "tag3": "C"
  }
}

Sample response

{
  "name": "myDataCollectionEndpoint",
  "type": "Microsoft.Insights/dataCollectionEndpoints",
  "etag": "0000ae31-0000-0100-0000-65fd441c0000",
  "id": "/subscriptions/703362b3-f278-4e4b-9179-c76eaf41ffc2/resourceGroups/myResourceGroup/providers/Microsoft.Insights/dataCollectionEndpoints/myDataCollectionEndpoint",
  "location": "eastus",
  "properties": {
    "configurationAccess": {
      "endpoint": "https://mydatacollectionendpoint-71ib.eastus-1.handler.control.monitor.azure.com"
    },
    "immutableId": "dce-cd85a330eb664aa3bc7883cc394b0000",
    "logsIngestion": {
      "endpoint": "https://mydatacollectionendpoint-71ib.eastus-1.ingest.monitor.azure.com"
    },
    "metricsIngestion": {
      "endpoint": "https://mydatacollectionendpoint-71ib.eastus-1.metrics.ingest.monitor.azure.com"
    },
    "networkAcls": {
      "publicNetworkAccess": "Enabled"
    },
    "provisioningState": "Succeeded"
  },
  "systemData": {
    "createdAt": "2024-03-22T08:40:59.2431682Z",
    "createdBy": "user1",
    "createdByType": "User",
    "lastModifiedAt": "2024-03-22T08:51:04.551992Z",
    "lastModifiedBy": "user1",
    "lastModifiedByType": "User"
  },
  "tags": {
    "tag1": "A",
    "tag2": "B",
    "tag3": "C"
  }
}
{
  "name": "myDataCollectionEndpoint",
  "type": "Microsoft.Insights/dataCollectionEndpoints",
  "etag": "0000ae31-0000-0100-0000-65fd441c0000",
  "id": "/subscriptions/703362b3-f278-4e4b-9179-c76eaf41ffc2/resourceGroups/myResourceGroup/providers/Microsoft.Insights/dataCollectionEndpoints/myDataCollectionEndpoint",
  "location": "eastus",
  "properties": {
    "configurationAccess": {
      "endpoint": "https://mydatacollectionendpoint-71ib.eastus-1.handler.control.monitor.azure.com"
    },
    "immutableId": "dce-cd85a330eb664aa3bc7883cc394b0000",
    "logsIngestion": {
      "endpoint": "https://mydatacollectionendpoint-71ib.eastus-1.ingest.monitor.azure.com"
    },
    "metricsIngestion": {
      "endpoint": "https://mydatacollectionendpoint-71ib.eastus-1.metrics.ingest.monitor.azure.com"
    },
    "networkAcls": {
      "publicNetworkAccess": "Enabled"
    },
    "provisioningState": "Succeeded"
  },
  "systemData": {
    "createdAt": "2024-03-22T08:40:59.2431682Z",
    "createdBy": "user1",
    "createdByType": "User",
    "lastModifiedAt": "2024-03-22T08:51:04.551992Z",
    "lastModifiedBy": "user1",
    "lastModifiedByType": "User"
  },
  "tags": {
    "tag1": "A",
    "tag2": "B",
    "tag3": "C"
  }
}

Definitions

Name Description
createdByType

The type of identity that created the resource.

DataCollectionEndpointConfigurationAccess

The endpoint used by clients to access their configuration.

DataCollectionEndpointFailoverConfiguration

Metadata for the resource. This property can only be updated by Log Analytics Control Plane for Data Collection Endpoint with Log Analytics Destination.

DataCollectionEndpointLogsIngestion

The endpoint used by clients to ingest logs.

DataCollectionEndpointMetadata

Metadata for the resource. This property can only be updated by Log Analytics Control Plane for Data Collection Endpoint with Log Analytics Destination.

DataCollectionEndpointMetricsIngestion

The endpoint used by clients to ingest metrics.

DataCollectionEndpointNetworkAcls

Network access control rules for the endpoints.

DataCollectionEndpointResource

Definition of ARM tracked top level resource.

DataCollectionEndpointResourceIdentity

Managed service identity of the resource.

DataCollectionEndpointResourceSku

The SKU of the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponseCommonV2

Common error response for all Azure Resource Manager APIs to return error details for failed operations. (This also follows the OData error response format.).

KnownDataCollectionEndpointProvisioningState

The resource provisioning state. This property is READ-ONLY.

KnownDataCollectionEndpointResourceKind

The kind of the resource.

KnownLocationSpecProvisioningStatus

The resource provisioning state in this location.

KnownPublicNetworkAccessOptions

The configuration to set whether network access from public internet to the endpoints are allowed.

LocationSpec
ManagedServiceIdentityType

Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).

PrivateLinkScopedResource
SkuTier

This field is required to be implemented by the Resource Provider if the service has more than one tier, but is not required on a PUT.

systemData

Metadata pertaining to creation and last modification of the resource.

UserAssignedIdentity

User assigned identity properties

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

DataCollectionEndpointConfigurationAccess

The endpoint used by clients to access their configuration.

Name Type Description
endpoint

string

The endpoint. This property is READ-ONLY.

DataCollectionEndpointFailoverConfiguration

Metadata for the resource. This property can only be updated by Log Analytics Control Plane for Data Collection Endpoint with Log Analytics Destination.

Name Type Description
activeLocation

string

Active location where data flow will occur.

locations

LocationSpec[]

Locations that are configured for failover.

DataCollectionEndpointLogsIngestion

The endpoint used by clients to ingest logs.

Name Type Description
endpoint

string

The endpoint. This property is READ-ONLY.

DataCollectionEndpointMetadata

Metadata for the resource. This property can only be updated by Log Analytics Control Plane for Data Collection Endpoint with Log Analytics Destination.

Name Type Description
provisionedBy

string

Azure offering managing this resource on-behalf-of customer.

provisionedByImmutableId

string

Immutable Id of azure offering managing this resource on-behalf-of customer.

provisionedByResourceId

string

Resource Id of azure offering managing this resource on-behalf-of customer.

DataCollectionEndpointMetricsIngestion

The endpoint used by clients to ingest metrics.

Name Type Description
endpoint

string

The endpoint. This property is READ-ONLY.

DataCollectionEndpointNetworkAcls

Network access control rules for the endpoints.

Name Type Description
publicNetworkAccess

KnownPublicNetworkAccessOptions

The configuration to set whether network access from public internet to the endpoints are allowed.

DataCollectionEndpointResource

Definition of ARM tracked top level resource.

Name Type Description
etag

string

Resource entity tag (ETag).

id

string

Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

identity

DataCollectionEndpointResourceIdentity

Managed service identity of the resource.

kind

KnownDataCollectionEndpointResourceKind

The kind of the resource.

location

string

The geo-location where the resource lives

name

string

The name of the resource

properties.configurationAccess

DataCollectionEndpointConfigurationAccess

The endpoint used by clients to access their configuration.

properties.description

string

Description of the data collection endpoint.

properties.failoverConfiguration

DataCollectionEndpointFailoverConfiguration

Metadata for the resource. This property can only be updated by Log Analytics Control Plane for Data Collection Endpoint with Log Analytics Destination.

properties.immutableId

string

The immutable ID of this data collection endpoint resource. This property is READ-ONLY.

properties.logsIngestion

DataCollectionEndpointLogsIngestion

The endpoint used by clients to ingest logs.

properties.metadata

DataCollectionEndpointMetadata

Metadata for the resource. This property can only be updated by Log Analytics Control Plane for Data Collection Endpoint with Log Analytics Destination.

properties.metricsIngestion

DataCollectionEndpointMetricsIngestion

The endpoint used by clients to ingest metrics.

properties.networkAcls

DataCollectionEndpointNetworkAcls

Network access control rules for the endpoints.

properties.privateLinkScopedResources

PrivateLinkScopedResource[]

List of Azure Monitor Private Link Scope Resources to which this data collection endpoint resource is associated. This property is READ-ONLY.

properties.provisioningState

KnownDataCollectionEndpointProvisioningState

The resource provisioning state. This property is READ-ONLY.

sku

DataCollectionEndpointResourceSku

The SKU of the resource.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

tags

object

Resource tags.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

DataCollectionEndpointResourceIdentity

Managed service identity of the resource.

Name Type Description
principalId

string (uuid)

The service principal ID of the system assigned identity. This property will only be provided for a system assigned identity.

tenantId

string (uuid)

The tenant ID of the system assigned identity. This property will only be provided for a system assigned identity.

type

ManagedServiceIdentityType

Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).

userAssignedIdentities

<string,  UserAssignedIdentity>

User-Assigned Identities
The set of user assigned identities associated with the resource. The userAssignedIdentities dictionary keys will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}. The dictionary values can be empty objects ({}) in requests.

DataCollectionEndpointResourceSku

The SKU of the resource.

Name Type Description
capacity

integer (int32)

If the SKU supports scale out/in then the capacity integer should be included. If scale out/in is not possible for the resource this may be omitted.

family

string

If the service has different generations of hardware, for the same SKU, then that can be captured here.

name

string

The name of the SKU. Ex - P3. It is typically a letter+number code

size

string

The SKU size. When the name field is the combination of tier and some other value, this would be the standalone code.

tier

SkuTier

This field is required to be implemented by the Resource Provider if the service has more than one tier, but is not required on a PUT.

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponseCommonV2

Common error response for all Azure Resource Manager APIs to return error details for failed operations. (This also follows the OData error response format.).

Name Type Description
error

ErrorDetail

The error object.

KnownDataCollectionEndpointProvisioningState

The resource provisioning state. This property is READ-ONLY.

Value Description
Creating

Creating

Updating

Updating

Deleting

Deleting

Succeeded

Succeeded

Canceled

Canceled

Failed

Failed

KnownDataCollectionEndpointResourceKind

The kind of the resource.

Value Description
Linux

Linux

Windows

Windows

KnownLocationSpecProvisioningStatus

The resource provisioning state in this location.

Value Description
Creating

Creating

Updating

Updating

Deleting

Deleting

Succeeded

Succeeded

Canceled

Canceled

Failed

Failed

KnownPublicNetworkAccessOptions

The configuration to set whether network access from public internet to the endpoints are allowed.

Value Description
Enabled

Enabled

Disabled

Disabled

SecuredByPerimeter

SecuredByPerimeter

LocationSpec

Name Type Description
location

string

Name of location.

provisioningStatus

KnownLocationSpecProvisioningStatus

The resource provisioning state in this location.

ManagedServiceIdentityType

Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).

Value Description
None
SystemAssigned
UserAssigned
SystemAssigned,UserAssigned

PrivateLinkScopedResource

Name Type Description
resourceId

string

The resourceId of the Azure Monitor Private Link Scope Scoped Resource through which this DCE is associated with a Azure Monitor Private Link Scope.

scopeId

string

The immutableId of the Azure Monitor Private Link Scope Resource to which the association is.

SkuTier

This field is required to be implemented by the Resource Provider if the service has more than one tier, but is not required on a PUT.

Value Description
Free
Basic
Standard
Premium

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.

UserAssignedIdentity

User assigned identity properties

Name Type Description
clientId

string (uuid)

The client ID of the assigned identity.

principalId

string (uuid)

The principal ID of the assigned identity.